Subject: Re: remote#branch

From: Theodore Tso <[email-masked]>
Date: Thu, 1 Nov 2007 01:11:34 -0400

On Thu, Nov 01, 2007 at 01:22:33AM +0100, Jakub Narebski wrote:
> The only thing to add (for absolutely no gain IMHO) would be code
> which would add quotes (single or double) around URL/path which
> contain spaces:
>   
>   Mirror URL    'git://repo.or.cz/repo with spaces.git'
>                 'http://repo.or.cz/r/repo with spaces.git'
>   Push URL      'repo.or.cz:/srv/git/repo with spaces.git'  

The one thing that I think might be worth doing out of all of this is
to add code to git so that it can accept URL quoted arguments.  Given
that it's highly unlikely anyone is using repository pathnames that
contain the '%' character, this would be highly unlikely to cause any
backwards compatibility problems.

					- Ted